Name:           fped
Version:        0
Release:        0.4.r5760%{?dist}
Summary:        A footprint editor used by openmoko developers

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://openmoko.org
# grabbed from svn
# svn export -r 5760 http://svn.openmoko.org/trunk/eda/fped fped-0
# tar cjf fped-0.tar.bz2 fped-0
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  bison
BuildRequires:  flex flex-static
BuildRequires:  transfig
BuildRequires:  netpbm-progs
BuildRequires:  ImageMagick


%description
fped is an editor that allows the interactive creation of footprints of
electronic components. Footprint definitions are stored in a text format
that resembles a programming language.

The language is constrained such that anything that can be expressed in
the textual definition also has a straightforward equivalent operation
that can be performed through the GUI.

%prep
%setup -q

# Tuning makefile for fedora packaging guidelines
%{__sed} -i \
  -e "s|/usr/local|%{_prefix}|g" \
  -e "s|\$(PREFIX)/bin/|\$(DESTDIR)\$(PREFIX)/bin/|g" \
  -e "s|install -m|install -pm|" \
  -e "s|CFLAGS = |CFLAGS = %{optflags} |g" Makefile

%build
# Make verbose
export V=1
make dep
make manual
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README TODO gui.html manual/
%doc examples
%{_bindir}/%{name}


%changelog
* Tue Jun 28 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0-0.4.r5760
- Add BR: flex-static (Fix FTBFS BZ#715897).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.r5760
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 23 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-0.2.r5760
- new upstream snapshot

* Wed Sep 30 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-0.1.r5746
- multiple fixes with respect to the x and y coordinates

* Wed Sep 30 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-0.1.r5664
- changed release tag to 0.1 and added instructions to download the sources.

* Tue Sep 29 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-1.r5664
- Initial package for fedora.
